<?php

namespace Drupal\commerce_wishlist;

use Drupal\commerce\EntityPermissionProvider;
use Drupal\Core\Entity\EntityTypeInterface;

/**
 * Provides permissions for wishlists.
 */
class WishlistPermissionProvider extends EntityPermissionProvider {

  /**
   * {@inheritdoc}
   */
  public function buildPermissions(EntityTypeInterface $entity_type) {
    $permissions = parent::buildPermissions($entity_type);
    // Wishlists don't implement EntityOwnerInterface, so they don't get
    // own/any permissions generated by default.
    $permissions['view commerce_wishlist']['title'] = (string) t('View any wishlist');
    $permissions['view own commerce_wishlist'] = [
      'title' => (string) t('View own wishlists'),
      'provider' => 'commerce_wishlist',
    ];

    return $permissions;
  }

}
